Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(70)

Issue 2759883002: Get markers back while list items have overflow:hidden children (Closed)

Created:
8 months ago by cathiechentx
Modified:
7 months, 4 weeks ago
CC:
chromium-reviews, pdr+renderingwatchlist_chromium.org, zoltan1, blink-reviews-layout_chromium.org, szager+layoutwatch_chromium.org, eae+blinkwatch, leviw+renderwatch, jchaffraix+rendering, blink-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Get markers back while list items have overflow:hidden children Add marker into list item not overflow:hidden child while construct layout tree. BUG=626293 Review-Url: https://codereview.chromium.org/2759883002 Cr-Commit-Position: refs/heads/master@{#459372} Committed: https://chromium.googlesource.com/chromium/src/+/fd1e60f0bee4b6b25d898f4f4f859aa38d1a9643

Patch Set 1 #

Patch Set 2 : add layout test case #

Total comments: 12

Patch Set 3 : use reftest instead #

Patch Set 4 : omit addLogicalHeightFromChild() #

Messages

Total messages: 41 (17 generated)
charlieiflo
8 months ago (2017-03-20 04:02:53 UTC) #5
cathiechentx
Hi, Do you guys have time to look at this. Thanks:)
8 months ago (2017-03-20 04:54:44 UTC) #7
mstensho (USE GERRIT)
You should wrap the text in the commit comment at 80 chars or so. I'm ...
8 months ago (2017-03-20 10:19:01 UTC) #9
cathiechentx
Thanks for reviewing:) And sorry about the long description... https://codereview.chromium.org/2759883002/diff/20001/third_party/WebKit/LayoutTests/TestExpectations File third_party/WebKit/LayoutTests/TestExpectations (right): https://codereview.chromium.org/2759883002/diff/20001/third_party/WebKit/LayoutTests/TestExpectations#newcode774 third_party/WebKit/LayoutTests/TestExpectations:774: ...
8 months ago (2017-03-20 12:56:45 UTC) #11
mstensho (USE GERRIT)
https://codereview.chromium.org/2759883002/diff/20001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp File third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp (right): https://codereview.chromium.org/2759883002/diff/20001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp#newcode890 third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp:890: toLayoutListItem(this)->addLogicalHeightFromChild(child); On 2017/03/20 12:56:44, cathiechentx wrote: > On 2017/03/20 ...
8 months ago (2017-03-20 13:51:20 UTC) #12
cathiechentx
https://codereview.chromium.org/2759883002/diff/20001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp File third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp (right): https://codereview.chromium.org/2759883002/diff/20001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp#newcode890 third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp:890: toLayoutListItem(this)->addLogicalHeightFromChild(child); On 2017/03/20 13:51:20, mstensho wrote: > On 2017/03/20 ...
8 months ago (2017-03-21 14:07:08 UTC) #13
mstensho (USE GERRIT)
https://codereview.chromium.org/2759883002/diff/20001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp File third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp (right): https://codereview.chromium.org/2759883002/diff/20001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp#newcode890 third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp:890: toLayoutListItem(this)->addLogicalHeightFromChild(child); On 2017/03/21 14:07:08, cathiechentx wrote: > On 2017/03/20 ...
7 months, 4 weeks ago (2017-03-22 22:28:55 UTC) #14
cathiechentx
Thanks for reply:) There's one more thing need to be clarified: Should I omit this ...
7 months, 4 weeks ago (2017-03-23 10:13:27 UTC) #15
mstensho (USE GERRIT)
On 2017/03/23 10:13:27, cathiechentx wrote: > Thanks for reply:) There's one more thing need to ...
7 months, 4 weeks ago (2017-03-23 10:18:03 UTC) #16
cathiechentx
On 2017/03/23 10:18:03, mstensho wrote: > > We definitely want a test for this. It ...
7 months, 4 weeks ago (2017-03-23 13:18:36 UTC) #18
cathiechentx
On 2017/03/23 10:18:03, mstensho wrote: > > We definitely want a test for this. It ...
7 months, 4 weeks ago (2017-03-23 13:18:37 UTC) #19
mstensho (USE GERRIT)
lgtm
7 months, 4 weeks ago (2017-03-23 17:54:53 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2759883002/60001
7 months, 4 weeks ago (2017-03-23 17:55:23 UTC) #22
commit-bot: I haz the power
The author cathiechen@tencent.com has not signed Google Contributor License Agreement. Please visit https://cla.developers.google.com to sign ...
7 months, 4 weeks ago (2017-03-23 17:55:26 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2759883002/60001
7 months, 4 weeks ago (2017-03-23 18:46:57 UTC) #26
commit-bot: I haz the power
The author cathiechen@tencent.com has not signed Google Contributor License Agreement. Please visit https://cla.developers.google.com to sign ...
7 months, 4 weeks ago (2017-03-23 18:46:59 UTC) #28
mstensho (USE GERRIT)
On 2017/03/23 18:46:59, commit-bot: I haz the power wrote: > The author mailto:cathiechen@tencent.com has not ...
7 months, 4 weeks ago (2017-03-23 18:53:16 UTC) #29
pdr.
On 2017/03/23 at 18:53:16, mstensho wrote: > On 2017/03/23 18:46:59, commit-bot: I haz the power ...
7 months, 4 weeks ago (2017-03-23 19:09:09 UTC) #30
mstensho (USE GERRIT)
On 2017/03/23 19:09:09, pdr. wrote: > On 2017/03/23 at 18:53:16, mstensho wrote: > > On ...
7 months, 4 weeks ago (2017-03-23 19:13:46 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2759883002/60001
7 months, 4 weeks ago (2017-03-24 03:09:29 UTC) #33
cathiechentx
On 2017/03/23 19:13:46, mstensho wrote: > On 2017/03/23 19:09:09, pdr. wrote: > > On 2017/03/23 ...
7 months, 4 weeks ago (2017-03-24 03:48:30 UTC) #34
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/390438)
7 months, 4 weeks ago (2017-03-24 04:17:31 UTC) #36
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2759883002/60001
7 months, 4 weeks ago (2017-03-24 05:19:09 UTC) #38
commit-bot: I haz the power
7 months, 4 weeks ago (2017-03-24 06:28:51 UTC) #41
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/fd1e60f0bee4b6b25d898f4f4f85...

Powered by Google App Engine
This is Rietveld efc10ee0f